Subject: Re: bug#40726: scandir* error on armhf

From: Julien Lepiller <[email-masked]>
Date: Mon, 20 Apr 2020 16:52:17 +0200

Le Mon, 20 Apr 2020 01:34:44 +0200,
Julien Lepiller <[email-masked]> a écrit :

> Hi Guix!
> 
> I recently tried to build guix from git on my armhf machine. However,
> it failed at 14% when loading gnu/system/installer.scm.  The error
> was:
> 
> error: failed to load 'gnu/system/install.scm': Nom de fichier trop
> long
> 
> (name too long)
> 
> Indeed, stracing the build process I see a lstat64 syscall on this
> file: ~/guix/repo/master/gnu/../gnu/installer//////////////////...
> (with many /).
> 
> Reverting commit 82d8959e5d137b2061a68878d78a8f74a238ac44 lets me
> build guix from git.  I tried to run guix pull too, in order to test
> from a more recent system, but guix-modular-master fails on ci since
> around that commit, and the same path is shown in the log, for
> instance:
> 
> https://ci.guix.gnu.org/log/7jzm70m187xdb41jmljmq6vkzjwsnh2d-guix-system
> 
> ends with a lstat of
> /gnu/store/qi99vg92icmpcw623rvg8rqdlvilqb00-guix-system-source/gnu/../gnu/installer////////...
> 
> other architectures don't seem to have that issue, as ci is able to
> build modular-master for them.  I was also able to build guix from git
> on my x86_64 machine.
> 
> 
> 

Should be fixed with fd546bbbeee5237e29264791b61f9ba453ebff9f.